#ifndef _TEST_APP
#define _TEST_APP


#include "ofMain.h"

#include "cardManager.h"
#include "cvManager.h"
#include "cardFinder.h"
#include "cardIdentifier.h"
#include "cardTracker.h"

#include "ofxSimpleGui.h"

class testApp : public ofSimpleApp{
	
	public:
		
		void setup();
		void update();
		void draw();
		
		void keyPressed(int key);
		void keyReleased(int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased();
		
		void loadSettings();
		void saveSettings();
		
		vector <card> cardsFound;
		
		ofxSimpleGui GUI;
		
		cvManager videoCV;
		cardManager cardMan;
		
		cardTracker CT;
		cardIdentifier CI;
		cardFinder CF;
		
		float		threshold;
		float		blob_min;
		float		blob_max;
		bool		useVideo;
		float		videoPct;
		bool		setPct;
				
		int			whichCard;
		int			numFound;
		
		cardImageSet	cardImage;
	
		card		temp;
};

#endif	
